# Heller Collection (NC1373) Aggregate Data
These text and metadata files were gathered by the Libraries Digital Services team as part of the processing of the Heller Collection.

## Purpose
The files were used in conjunction with the topic modeling application MALLET to assign authority headings to individual metadata records. The University of Nevada, Reno Libraries are making the content available to researchers to aid in the process of conducting text analysis.

## Rights
These items are protected by U.S. copyright and/or related rights. They are being made available by the University of Nevada, Reno as its copyright holder for non-commercial use, including sharing and adapting the work. No permission is required for non-commercial use so long as attribution is provided. All other uses, including commercial, require permission from the University of Nevada Reno Special Collections and University Archives (speccoll@unr.edu). (CC BY-NC 4.0 International).

## Scope
This text harvest encompassed 3,502 of the 3,525 files in the collection. HTML, MS Publisher, and image files were excluded from the process. In 111 cases, the process of harvesting text failed. 

## Doc and Docx Text Harvest
Text was harvested 3,214 .doc, .docx, and rtf files.

The OSX utility textutil was used to carry out this process.

Files that have gone through this process feature the following naming convention:
[ORIGINAL FILE NAME].txt

### Commands
The following dependences are necessary for these conversions:
1. textutil

```bash
textutil -convert txt *.doc
```
```bash
textutil -convert txt *.docx
```
```bash
textutil -convert txt *.rtf
```

## PDF Text Harvest
The PDF files in the Heller collection are password protected making it impossible to generate OCR from the PDFs themselves. Therefore, it became necessary to first convert the PDF files to TIFF files and then harvest TXT files using OCR from the image files.

Files that have gone through this process feature the following naming convention:
[ORIGINAL FILE NAME].tif.txt 

### Commands
The following dependences are necessary for these conversions:
1. ImageMagick
2. GhostScript
3. Tesseract

#### Commands
```bash
for i in *.pdf; do convert -density 300 -trim "$i" ${i/.pdf/.tif}; done

for i in *.tif; do tesseract $i /Desktop/nc1373_1_text/$i; done
```

#### Errors
Generating TIFFs from the PDF files generated the following errors

> convert: geometry does not contain image FILAMVETS_letterofsupport_9.12.12.pdf @ warning/attribute.c/GetImageBoundingBox/501.
> convert: TIFF: negative image positions unsupported FILAMVETS_letterofsupport_9.12.12.tif @ error/tiff.c/WriteTIFFImage/3984.

#### Empty TXT Files
111 of the 288 PDF files failed to result in TXT files. These files are present as "empty files" in the dataset. It appears as though the original image quality contributed to this outcome.